(function ($, Drupal) {
  Drupal.behaviors.generateContent = {
    attach: function (context, settings) {

      $('.metadata-content-form').find('.use-content-button').click(function () {
        var attrName = $(this).attr("name");
        if (attrName.length > 0) {
          var fieldName = attrName.replace(/_/g, '-');
          if ($('#edit-' + fieldName + '-wrapper .ck-editor__editable').contents().length > 0) {
            var content = $('#metadata-content-body').val();
            const domEditableElement = document.querySelector('#edit-' + fieldName + '-wrapper .ck-editor__editable');
            const ckeditor5Instance = domEditableElement.ckeditorInstance;
            ckeditor5Instance.setData(content);
          } else {
            var content = $('#metadata-content-body').text();
            $('#edit-' + fieldName + '-wrapper input').val(content);
          }
        }
      });
    }
  }
})(jQuery, Drupal);
